Debian Bug report logs - #684726
RFP: check-v46 -- Icinga / Nagios plugin for dual stacked (IPv4 / IPv6) hosts

Package: nagios-plugins-contrib; Maintainer for nagios-plugins-contrib is Debian Nagios Maintainer Group <pkg-nagios-devel@lists.alioth.debian.org>; Source for nagios-plugins-contrib is src:nagios-plugins-contrib.

Reported by: Jens Link <jenslink@quux.de>

Date: Mon, 13 Aug 2012 13:24:02 UTC

Severity: wishlist

Tags: pending

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#684726; Package wnpp. (Mon, 13 Aug 2012 13:24:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jens Link <jenslink@quux.de>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org. (Mon, 13 Aug 2012 13:24:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jens Link <jenslink@quux.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: check_v46 -- Icinga / Nagios plugin for dual stacked (IPv4 / IPv6) hosts
Date: Mon, 13 Aug 2012 15:21:23 +0200
Package: wnpp
Severity: wishlist
Owner: Jens Link <jenslink@quux.de>

* Package name    : check_v46
  Version         : 
  Upstream Author : Ville Mattila
* URL             : http://gitorious.org/nagios-monitoring-tools
* License         : GPL
  Programming Lang: Perl
  Description     : Icinga / Nagios plugin for monitoring dual stacked (IPv4 / IPv6) hosts

check_v46 makes it easy to monitor dual stacked hosts and services.



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Jens Link <jenslink@quux.de>:
Bug#684726; Package wnpp. (Wed, 29 Aug 2012 12:27:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bernd Zeimetz <bernd@bzed.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Jens Link <jenslink@quux.de>. (Wed, 29 Aug 2012 12:27:05 GMT) Full text and rfc822 format available.

Message #10 received at 684726@bugs.debian.org (full text, mbox):

From: Bernd Zeimetz <bernd@bzed.de>
To: Jens Link <jenslink@quux.de>, 684726@bugs.debian.org
Subject: Re: Bug#684726: ITP: check_v46 -- Icinga / Nagios plugin for dual stacked (IPv4 / IPv6) hosts
Date: Wed, 29 Aug 2012 14:15:44 +0200
On 08/13/2012 03:21 PM, Jens Link wrote:
> Package: wnpp
> Severity: wishlist
> Owner: Jens Link <jenslink@quux.de>
> 
> * Package name    : check_v46
>   Version         : 
>   Upstream Author : Ville Mattila
> * URL             : http://gitorious.org/nagios-monitoring-tools
> * License         : GPL
>   Programming Lang: Perl
>   Description     : Icinga / Nagios plugin for monitoring dual stacked (IPv4 / IPv6) hosts
> 
> check_v46 makes it easy to monitor dual stacked hosts and services.

Do we actually need the plugin? Or well, need a package on its own if we
really need it? Implementing the functionality of this plugin is trivial
using check_multi and displaying the results properly is well supported
in icinga at least.

https://wiki.icinga.org/display/howtos/Dualstack+(IPv4,+IPv6)+monitoring+with+Icinga

If it is necessary/better/whatever, please put it into
nagios-plugins-contrib instead of creating a package with a single file.

-- 
 Bernd Zeimetz                            Debian GNU/Linux Developer
 http://bzed.de                                http://www.debian.org
 GPG Fingerprint: ECA1 E3F2 8E11 2432 D485  DD95 EB36 171A 6FF9 435F



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#684726; Package wnpp. (Wed, 29 Aug 2012 12:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jens Link <jenslink@quux.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 29 Aug 2012 12:45:03 GMT) Full text and rfc822 format available.

Message #15 received at 684726@bugs.debian.org (full text, mbox):

From: Jens Link <jenslink@quux.de>
To: Bernd Zeimetz <bernd@bzed.de>
Cc: 684726@bugs.debian.org
Subject: Re: Bug#684726: ITP: check_v46 -- Icinga / Nagios plugin for dual stacked (IPv4 / IPv6) hosts
Date: Wed, 29 Aug 2012 14:36:39 +0200
Bernd Zeimetz <bernd@bzed.de> writes:

> Do we actually need the plugin? Or well, need a package on its own if we
> really need it? Implementing the functionality of this plugin is trivial
> using check_multi and displaying the results properly is well supported
> in icinga at least.

I prefer check_v46 over check_multi for monitoring dual stacked
hosts. I think it's easier and faster to implement then check_multi (for
this use case).

> If it is necessary/better/whatever, please put it into
> nagios-plugins-contrib instead of creating a package with a single file.

I'm fine with that.

Jens
-- 
-------------------------------------------------------------------------
| Foelderichstr. 40   | 13595 Berlin, Germany    | +49-151-18721264     |
| http://blog.quux.de | jabber: jenslink@guug.de | -------------------  | 
-------------------------------------------------------------------------



Changed Bug title to 'ITP: check-v46 -- Icinga / Nagios plugin for dual stacked (IPv4 / IPv6) hosts' from 'ITP: check_v46 -- Icinga / Nagios plugin for dual stacked (IPv4 / IPv6) hosts' Request was from Raphael Geissert <atomo64@gmail.com> to control@bugs.debian.org. (Sat, 01 Sep 2012 18:09:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Jens Link <jenslink@quux.de>:
Bug#684726; Package wnpp. (Wed, 21 Aug 2013 13:49:48 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Jens Link <jenslink@quux.de>. (Wed, 21 Aug 2013 13:49:48 GMT) Full text and rfc822 format available.

Message #22 received at 684726@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: 684726@bugs.debian.org
Cc: control@bugs.debian.org
Subject: check-v46: changing back from ITP to RFP
Date: Wed, 21 Aug 2013 15:44:09 +0200
retitle 684726 RFP: check-v46 -- Icinga / Nagios plugin for dual stacked (IPv4 / IPv6) hosts
noowner 684726
tag 684726 - pending
thanks

Hi,

A long time ago, you expressed interest in packaging check-v46. Unfortunately,
it seems that it did not happen. In Debian, we try not to keep ITP bugs open
for a too long time, as it might cause other prospective maintainers to
refrain from packaging the software.

This is an automatic email to change the status of check-v46 back from ITP
(Intent to Package) to RFP (Request for Package), because this bug hasn't seen
any activity during the last 10 months.

If you are still interested in packaging check-v46, please send a mail to
<control@bugs.debian.org> with:

 retitle 684726 ITP: check-v46 -- Icinga / Nagios plugin for dual stacked (IPv4 / IPv6) hosts
 owner 684726 !
 thanks

It is also a good idea to document your progress on this ITP from time to
time, by mailing <684726@bugs.debian.org>.  If you need guidance on how to
package this software, please reply to this email, and/or contact the
debian-mentors@lists.debian.org mailing list.

Thank you for your interest in Debian,
-- 
Lucas, for the QA team <debian-qa@lists.debian.org>



Changed Bug title to 'RFP: check-v46 -- Icinga / Nagios plugin for dual stacked (IPv4 / IPv6) hosts' from 'ITP: check-v46 -- Icinga / Nagios plugin for dual stacked (IPv4 / IPv6) hosts' Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Wed, 21 Aug 2013 13:57:04 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by Jens Link <jenslink@quux.de>. Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Wed, 21 Aug 2013 13:57:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#684726; Package wnpp. (Fri, 23 Aug 2013 12:09:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joost van Baal-Ilić <joostvb+debian-bugs-20130823-3@uvt.nl>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 23 Aug 2013 12:09:10 GMT) Full text and rfc822 format available.

Message #31 received at 684726@bugs.debian.org (full text, mbox):

From: Joost van Baal-Ilić <joostvb+debian-bugs-20130823-3@uvt.nl>
To: control@bugs.debian.org
Cc: 684726@bugs.debian.org
Subject: reassign 684726 to nagios-plugins-contrib / shipping check_v46 with Debian and Ubuntu: software license
Date: Fri, 23 Aug 2013 14:07:39 +0200
[Message part 1 (text/plain, inline)]
reassign 684726 nagios-plugins-contrib
thanks

Also: Have mailed upstream author Ville Mattila asking him to add free software
license to the script; currently no license information is supplied.

Bye,

Joost

-- 
Joost van Baal-Ilić                       http://abramowitz.uvt.nl/
                                                 Tilburg University
mailto:joostvb.uvt.nl                               The Netherlands
[signature.asc (application/pgp-signature, inline)]

Bug reassigned from package 'wnpp' to 'nagios-plugins-contrib'. Request was from Joost van Baal-Ilić <joostvb+debian-bugs-20130823-3@uvt.nl> to control@bugs.debian.org. (Fri, 23 Aug 2013 12:09:16 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Nagios Maintainer Group <pkg-nagios-devel@lists.alioth.debian.org>:
Bug#684726; Package nagios-plugins-contrib. (Mon, 26 Aug 2013 18:12:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joost van Baal-Ilić <joostvb+debian-bugs-20130823-3@uvt.nl>:
Extra info received and forwarded to list. Copy sent to Debian Nagios Maintainer Group <pkg-nagios-devel@lists.alioth.debian.org>. (Mon, 26 Aug 2013 18:12:09 GMT) Full text and rfc822 format available.

Message #38 received at 684726@bugs.debian.org (full text, mbox):

From: Joost van Baal-Ilić <joostvb+debian-bugs-20130823-3@uvt.nl>
To: 684726@bugs.debian.org
Subject: Re: reassign 684726 to nagios-plugins-contrib / shipping check_v46 with Debian and Ubuntu: software license
Date: Mon, 26 Aug 2013 20:10:25 +0200
[Message part 1 (text/plain, inline)]
Op Fri 23 Aug 2013 om 02:07:38 +0200 schreef Joost van Baal-Ilić:
> 
> Also: Have mailed upstream author Ville Mattila asking him to add free software
> license to the script; currently no license information is supplied.

Now GPL'd, thanks Ville.  See
http://gitorious.org/nagios-monitoring-tools/nagios-monitoring-tools/blobs/master/check_v46
.

I plan to start working on integrating this in nagios-plugins-contrib soonish.

Bye,

Joost

-- 
Joost van Baal-Ilić                       http://abramowitz.uvt.nl/
                                                 Tilburg University
mailto:joostvb.uvt.nl                               The Netherlands
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Nagios Maintainer Group <pkg-nagios-devel@lists.alioth.debian.org>:
Bug#684726; Package nagios-plugins-contrib. (Wed, 23 Oct 2013 07:42:27 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jan Wagner <waja@cyconet.org>:
Extra info received and forwarded to list. Copy sent to Debian Nagios Maintainer Group <pkg-nagios-devel@lists.alioth.debian.org>. (Wed, 23 Oct 2013 07:42:27 GMT) Full text and rfc822 format available.

Message #43 received at 684726@bugs.debian.org (full text, mbox):

From: Jan Wagner <waja@cyconet.org>
To: Joost van Baal-Ilić <joostvb+debian-bugs-20130823-3@uvt.nl>, 684726@bugs.debian.org
Subject: Re: [Pkg-nagios-devel] Bug#684726: reassign 684726 to nagios-plugins-contrib / shipping check_v46 with Debian and Ubuntu: software license
Date: Wed, 23 Oct 2013 09:32:50 +0200
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Hi there,

Am 26.08.2013 20:10, schrieb Joost van Baal-Ilić:
> I plan to start working on integrating this in
> nagios-plugins-contrib soonish.

any progress here?

Cheers, Jan.
- -- 
Never write mail to <waja@spamfalle.info>, you have been warned!
- -----BEGIN GEEK CODE BLOCK-----
Version: 3.12
GIT d-- s+: a C+++ UL++++ P+ L+++ E--- W+++ N+++ o++ K++ w--- O M V-
PS PE Y++
PGP++ t-- 5 X R tv- b+ DI D+ G++ e++ h---- r+++ y++++
- ------END GEEK CODE BLOCK------
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.14 (GNU/Linux)

iD8DBQFSZ3ui9u6Dud+QFyQRAiXZAKCG7ctD5ouPrmhmbkqUrxJ83B/9TwCgjKnC
bS0uMICLU5WNC/++LUCuwC4=
=QUZR
-----END PGP SIGNATURE-----



Added tag(s) pending. Request was from Bernd Zeimetz <b.zeimetz@conova.com> to control@bugs.debian.org. (Tue, 19 Nov 2013 14:39:04 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 01:39:45 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.